Summary: CRON and AT task scheduler configuration tool
Name: pyatcron
Version: 0.1.0
Release: 2
URL: http://www.pyatcron.org/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-datetime-module-removal.patch
BuildRequires: desktop-file-utils
BuildRequires: gettext
Requires: pygtk2
Requires: python2
Requires: vixie-cron
Requires: at
Requires: usermode >= 1.36
Requires: rhpl
Requires: htmlview
%description
Py@Cron is a graphical user interface for creating, modifying
and deleting scheduled tasks. It relies on the AT and CRON
systems.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch -p1

%build
make %{?_smp_mflags}

%install
make INSTROOT=$RPM_BUILD_ROOT install

desktop-file-install --vendor system --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base        \
  --add-category X-Red-Hat-ServerConfig        \
  $RPM_BUILD_ROOT%{_datadir}/applications/pyatcron.desktop

#%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d %{_datadir}/pyatcron ] ; then
  rm -rf %{_datadir}/pyatcron/*.pyc
fi

#%files -f %{name}.lang
%files
%defattr(-,root,root)
%doc COPYING
%doc AUTHORS
%doc HACKING
%doc README
#%doc doc/*
%{_bindir}/pyatcron
#%{_bindir}/nfs-export
%dir %{_datadir}/pyatcron
#%dir %{_datadir}/pyatcron/glade
#%dir %{_datadir}/pyatcron/lib
#%dir %{_datadir}/pyatcron/plugins
%{_datadir}/pyatcron/*
#%{_datadir}/pyatcron/glade/*
#%{_datadir}/pyatcron/lib/*
#%{_datadir}/pyatcron/plugins/*

%attr(0644,root,root) %{_datadir}/applications/system-pyatcron.desktop
%attr(0644,root,root) %{_datadir}/icons/hicolor/48x48/apps/pyatcron.png
#%attr(0644,root,root) %{_datadir}/%{name}/glade/icon-datetime.png


%changelog
* Fri Jun 10 2004 Xavier Nicolovici <xavier@nicolovici.com>
- Added pyatcron-datetime-module-removal patch

* Thu May 27 2004 Xavier Nicolovici <xavier@nicolovici.com>
- initial and packaging

